{{define "base"}}
<!DOCTYPE html>
<html lang="it">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="/styles.css" />
    <title>karmen</title>
  </head>
  
  <body>
    
    <nav class="navbar navbar-expand-lg fixed-top navbar-dark bg-dark">
      <a class="navbar-brand" href="/teachers?{{query "tpl_layout" "base" "tpl_content" "teachers"}}">karmen</a>
      <button type="button" class="navbar-toggler" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div id="navbar" class="collapse navbar-collapse">
	 <ul class="navbar-nav mr-auto">
	   <li class="nav-item">
             <a class="nav-link" href="/teachers?{{query "tpl_layout" "base" "tpl_content" "teachers"}}">Docenti</a>
	   </li>
	   <li class="nav-item">
	     <a class="nav-link" href="/departments?{{query "tpl_layout" "base" "tpl_content" "departments"}}">Dipartimenti</a>
	   </li>
	   <li class="nav-item">
	     <a class="nav-link" href="/subjects?{{query "tpl_layout" "base" "tpl_content" "subjects"}}">Materie</a>
	   </li>
	   <li class="nav-item">
	     <a class="nav-item nav-link" href="/classes?{{query "tpl_layout" "base" "tpl_content" "classes"}}">Classi</a>
	   </li>
	   <li class="nav-item">
	     <a class="nav-item nav-link" href="/students?{{query "tpl_layout" "base" "tpl_content" "students"}}">Studenti</a>
	   </li>
	   <li class="nav-item">
	     <a class="nav-item nav-link" href="/activities?{{query "tpl_layout" "base" "tpl_content" "activities"}}">Attività</a>
	   </li>
           <li class="nav-item">
	     <a class="nav-item nav-link" href="/offices?{{query "tpl_layout" "base" "tpl_content" "offices"}}">Uffici</a>
	   </li>
           <li class="nav-item">
	     <a class="nav-item nav-link" href="/administratives?{{query "tpl_layout" "base" "tpl_content" "administratives"}}">Amministrativi</a>
	   </li>
           <li class="nav-item">
	     <a class="nav-item nav-link" href="/documents?{{query "tpl_layout" "base" "tpl_content" "documents"}}">Documenti</a>
	   </li>
	  </ul>

	  <ul class="nav navbar-nav navbar-right">
	    <li><a class="nav-link" href="/logout">Esci</a></li>
          </ul>
      </div><!--/.nav-collapse -->
    </nav>

    <div class="base-template">
      {{ template "content" . }}
    </div>

    <div class="modal fade" id="karmen-modal-remove" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
      <div class="modal-dialog" role="document">
	<div class="modal-content">
	  <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            <h4 class="modal-title" id="myModalLabel">Richiesta di conferma eliminazione</h4>
	  </div>
	  <div class="modal-body">
            Stai per eliminare l'elemento. Ne sei sicuro?
	  </div>
	  <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Annulla</button>
            <button type="button" class="btn btn-primary" id="karmen-modal-btn-confirm">Conferma</button>
	  </div>
	</div>
      </div>
    </div>

    <script src="/main.bundle.js"></script>
    
  </body>
</html>
{{end}}
