{{ define "content" }}

<div class="container">

  <nav aria-label="breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item"><a href="/documents?{{query "tpl_layout" "base" "tpl_content" "documents_generator"}}">Documenti</a></li>
      <li class="breadcrumb-item"><a href="/documents/{{.Data.ID}}">{{.Data.Name}}</a></li>
      <li class="breadcrumb-item"><a href="#">Genera</a></li>
    </ol>
  </nav>

  <div class="karmen-info-header">
    <div class="row">
      <div class="col-md-8">
	<h1>Generazione di {{.Data.Name}}</h1>
      </div>
      <div class="col-md-4">
        
	<div class="btn-group float-right" role="group">
	  <button href="/documents/{{.Data.ID}}/delete"
		  data-url="/documents/{{.Data.ID}}/delete"
		  class="btn btn-danger karmen-ajax-delete">
            <span class="fa fa-stop" aria-hidden="true"></span>
	    Ferma
	  </button>
	</div>

      </div>
    </div>
  </div>

  <div class="row">
    <div class="col-md-12">
      
      <h2 class="karmen-relation-header">Esecuzione</h2>
      <p>Non è stato prodotto nessun documento.</p>
    </div>
    
  </div>

</div>    

{{ end }}
